Skip to main content
GET
/
v3
/
collection_account
List Collection Accounts
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/collection_account \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://service-sandbox.tazapay.com/v3/collection_account"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://service-sandbox.tazapay.com/v3/collection_account', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "cva_crqinja9chqqs7moi8rg",
      "object": "collection_account",
      "type": "virtual_account",
      "payment_method_type": "local_bank_transfer_cad",
      "country": "CA",
      "currencies": [
        "CAD"
      ],
      "status": "enabled",
      "alias": "CAD Collection Account",
      "virtual_account": {
        "account_holder_name": "John Doe",
        "account_number": "1234567890-56-7890",
        "bank_name": "RBC Royal Bank",
        "bank_codes": {
          "routing_code": "026009593",
          "swift_code": "ROYCCAT2"
        }
      },
      "created_at": "2024-09-26T09:39:25.03501Z",
      "updated_at": "2024-09-26T09:39:25.03501Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

ending_before
string

A cursor for pagination. Returns objects before this object ID.

limit
integer

Number of objects to return. Default is 10, range 1-100.

starting_after
string

A cursor for pagination. Returns objects after this object ID.

payment_method_type
string

Filter by payment method type.

country
string

Filter by country.

currencies
string[]

Filter by currencies (ISO format).

on_behalf_of
string

Filter by the entity ID that the account is configured on behalf of.

status
enum<string>

Filter by collection account status.

Available options:
disabled,
enabled
type
enum<string>

Filter by type (virtual_account or wallet).

Available options:
virtual_account,
wallet
created
object

Filter by creation time. Pass an object with any of gt, gte, lt, lte (Unix timestamps).

Response

200 - application/json

List of collection accounts.

object
string

Always "list".

has_more
boolean

Whether there are more results beyond this page.

data
object[]

Array of collection account objects.